Open SCAP Library

Data Structures | Typedefs | Functions
oval_message.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`

## Data Structures
struct | oval_message
| OVAL message. More...

## Typedefs
typedef struct oval_message | oval_message_t

## Functions
struct oval_message * | oval_message_new ()
struct oval_message * | oval_message_clone (struct oval_message *old_message)
void | oval_message_free (struct oval_message *message)
bool | oval_message_iterator_has_more (struct oval_message_iterator *oc_message)
struct oval_message * | oval_message_iterator_next (struct oval_message_iterator *oc_message)
void | oval_message_iterator_free (struct oval_message_iterator *oc_message)
char * | oval_message_get_text (struct oval_message *message)
oval_message_level_t | oval_message_get_level (struct oval_message *message)
void | oval_message_set_text (struct oval_message *message, char *text)
void | oval_message_set_level (struct oval_message *message, oval_message_level_t level)
int | oval_message_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oscap_consumer_func consumer, void *client)
void | oval_message_to_dom (struct oval_message *message, xmlDoc *doc, xmlNode *tag_parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/